Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(11)

Issue 10240044: Only shows icons for approved charms

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 years, 11 months ago by j.c.sackett
Modified:
6 years, 11 months ago
Reviewers:
rharding, mp+169051, gary.poster
Visibility:
Public.

Description

Only shows icons for approved charms Replaces 'hasIcon' with 'showIcon', which checks both for an icon and checks if the charm is approved. If a charm hasn't yet been approved, we don't want to show its icon in the GUI. https://code.launchpad.net/~jcsackett/juju-gui/do-not-show-unapproved-icons/+merge/169051 (do not edit description out of merge proposal)

Patch Set 1 #

Total comments: 1

Patch Set 2 : Only shows icons for approved charms #

Unified diffs Side-by-side diffs Delta from patch set Stats (+44 lines, -10 lines) Patch
A [revision details] View 1 1 chunk +2 lines, -0 lines 0 comments Download
M app/models/charm.js View 1 1 chunk +11 lines, -6 lines 0 comments Download
M app/subapps/browser/templates/browser_charm.handlebars View 1 1 chunk +1 line, -1 line 0 comments Download
M app/templates/charm-token.handlebars View 1 1 chunk +1 line, -1 line 0 comments Download
M app/widgets/charm-token.js View 1 1 chunk +2 lines, -2 lines 0 comments Download
M test/test_model.js View 1 1 chunk +27 lines, -0 lines 0 comments Download

Messages

Total messages: 4
j.c.sackett
Please take a look.
6 years, 11 months ago (2013-06-12 20:24:18 UTC) #1
rharding
LGTM
6 years, 11 months ago (2013-06-13 13:02:59 UTC) #2
gary.poster
LGTM with trivial and ignorable idea/suggestion. https://codereview.appspot.com/10240044/diff/1/app/models/charm.js File app/models/charm.js (right): https://codereview.appspot.com/10240044/diff/1/app/models/charm.js#newcode464 app/models/charm.js:464: showIcon: { niggle, ...
6 years, 11 months ago (2013-06-13 16:44:15 UTC) #3
j.c.sackett
6 years, 11 months ago (2013-06-14 13:26:09 UTC) #4
*** Submitted:

Only shows icons for approved charms

Replaces 'hasIcon' with 'showIcon', which checks both for an icon and checks
if the charm is approved. If a charm hasn't yet been approved, we don't want
to show its icon in the GUI.

R=rharding, gary.poster
CC=
https://codereview.appspot.com/10240044
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b